Bug 477177 - 'intel' driver has xinerama and scrolling issues in dual head
'intel' driver has xinerama and scrolling issues in dual head
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.3
All Linux
high Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 09:00 EST by Richard Monk
Modified: 2010-10-23 02:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
previously, Xinerama mode was not enabled for the "intel" driver. Therefore, when users set Xinerama mode for a graphics card that uses the "intel" driver, the driver would crash. The "intel" driver now includes support for Xinerama, making this mode available to users. Note that a scrolling problem that users also experienced when using the "intel" driver for dual-head configurations was not related to this driver, and is resolved in a separate update for the X server.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:55:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dual-head configuration: xorg.conf (959 bytes, text/plain)
2008-12-19 09:02 EST, Richard Monk
no flags Details
dual head configuration: xorg log (57.83 KB, text/plain)
2008-12-19 09:02 EST, Richard Monk
no flags Details
lspci -v listing from system showing video device (7.69 KB, text/plain)
2008-12-19 09:03 EST, Richard Monk
no flags Details
patch with fixes for xorg-x11-drv-i810 (15.68 KB, patch)
2009-01-30 00:49 EST, Dave Airlie
no flags Details | Diff
xorg.conf for dual-head on Dell Optiplex 760 (1.66 KB, text/plain)
2009-03-25 09:41 EDT, Ben
no flags Details

  None (edit)
Description Richard Monk 2008-12-19 09:00:01 EST
Description of problem:
When configuring dual-head mode using the 'intel' driver on a GM45 Express, there are a couple issues:

- Xinerama mode is not enabled, so the display is seen as "One big monitor" to applications (GNOME, etc).  Enabling Xinerama in the ServerFlags section causes the driver to crash.

- The laptop panel scrolls/pans through the entire framebuffer, including sections that are not meant for that display (You can see the contents of the external monitor).  It makes it very difficult to use.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.22

How reproducible:
Configure your dual-head setup as specified on http://intellinuxgraphics.org/dualhead.html
  
Actual results:
See above description

Expected results:
Each screen has its own window into the single large framebuffer with no scrolling/panning
Comment 1 Richard Monk 2008-12-19 09:02:33 EST
Created attachment 327446 [details]
dual-head configuration: xorg.conf
Comment 2 Richard Monk 2008-12-19 09:02:57 EST
Created attachment 327447 [details]
dual head configuration: xorg log
Comment 3 Richard Monk 2008-12-19 09:03:22 EST
Created attachment 327448 [details]
lspci -v listing from system showing video device
Comment 10 Dave Airlie 2009-01-30 00:49:19 EST
Created attachment 330434 [details]
patch with fixes for xorg-x11-drv-i810
Comment 11 RHEL Product and Program Management 2009-03-11 11:39:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 Ben 2009-03-25 09:40:03 EDT
I'm seeing exactly the same situation with RHEL5.3 on a Dell Optiplex 760.  

xorg-x11-drv-i810-1.6.5-9.21.el5

I have a graphics controller described as "Intel Corporation 4 Series Chipset Integrated Graphics Controller" which is either a Q45 or Q43 chipset.   With the inability to use Xinerama I have been trying to use a framebuffer over both output pipes (TV output ignored).  There's an onboard VGA port and a DVI (TMDS-1) port available via a breakout card.

Every attempt to get a spanning desktop across both monitors results in a virtual desktop of 3200x1200 with the right hand 1600x1200 remaining normally on the right hand monitor but the whole 3200x1200 being available on the left hand one.  When moving the mouse across the left hand monitor (from left to right) the desktop pans and the contents of the right hand monitor scrolls into view.  This gives two mouse pointers and a very confusing desktop.

Richard Monk seems to have put it more succinctly.  My xorg.conf is also attached for information.
Comment 13 Ben 2009-03-25 09:41:34 EDT
Created attachment 336643 [details]
xorg.conf for dual-head on Dell Optiplex 760
Comment 14 Cameron Meadors 2009-04-21 08:34:47 EDT
QA_NAK 5.4

No capacity for this.
Comment 18 Adam Jackson 2009-05-13 19:32:29 EDT
The xinerama info is fixed in 1.6.5-9.24.el5, but I still get the scrolling issue.  The rpms in comment #9 do not include a source rpm, so I have no idea what else was changed.  The patch in comment #10 does not do anything related to viewport scrolling.
Comment 20 Adam Jackson 2009-05-14 16:36:00 EDT
Scrolling ended up being an xserver bug, fixed in -48.60

MODIFIED
Comment 22 Chris Ward 2009-06-14 19:19:17 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 23 Chris Ward 2009-07-03 14:18:38 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 24 Chris Ward 2009-07-10 15:09:05 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 27 Chris Ward 2009-08-03 11:45:40 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 30 Ruediger Landmann 2009-08-22 05:10:37 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
previously, Xinerama mode was not enabled for the "intel" driver. Therefore, when users set Xinerama mode for a graphics card that uses the "intel" driver, the driver would crash. The "intel" driver now includes support for Xinerama, making this mode available to users. Note that a scrolling problem that users also experienced when using the "intel" driver for dual-head configurations was not related to this driver, and is resolved in a separate update for the X server.
Comment 31 errata-xmlrpc 2009-09-02 07:55:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1391.html

Note You need to log in before you can comment on or make changes to this bug.